qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alex Rudyy (Created) (JIRA)" <j...@apache.org>
Subject [jira] [Created] (QPID-3535) On protocol negotiation 0-9-1 client sends ConnectionClose command when broker protocol version is not supported by a client.
Date Mon, 10 Oct 2011 13:15:29 GMT
On protocol negotiation 0-9-1 client sends ConnectionClose command when broker protocol version
is not supported by a client.
-----------------------------------------------------------------------------------------------------------------------------

                 Key: QPID-3535
                 URL: https://issues.apache.org/jira/browse/QPID-3535
             Project: Qpid
          Issue Type: Bug
          Components: Java Client
    Affects Versions: 0.12, 0.11, 0.10, 0.9, 0.8, 0.7, 0.6, 0.5
            Reporter: Alex Rudyy
             Fix For: 0.13


On protocol negotiation 0-9-1 client sends ConnectionClose command when broker protocol version
is not supported by a client.

According to AMQP spec the client should close the socket without sending any commands to
a broker.



--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:dev-subscribe@qpid.apache.org


Mime
View raw message